<?php
/**
 * Edit Member Page
 *
 * @package   RCP\RCP_Group_Accounts\Admin\Edit Member
 * @copyright Copyright (c) {2017}, Restrict Content Pro
 * @license   GPL2+
 * @since     1.3
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Display group on the Edit Member page
 *
 * @param int $user_id ID of the member being edited.
 *
 * @since 1.3
 * @return void
 */
function rcpga_edit_member( $user_id ) {

	$group_id = rcpga_group_accounts()->members->get_group_id( $user_id );

	if ( empty( $group_id ) ) {
		return;
	}

	$group_name = rcpga_group_accounts()->groups->get_name( $group_id );
	?>
	<tr valign="top">
		<th scope="row" valign="top">
			<label for="rcpga-group"><?php _e( 'Group', 'rcp-group-accounts' ); ?></label>
		</th>
		<td>
			<a href="<?php echo esc_url( add_query_arg( 'rcpga-group', absint( $group_id ), admin_url( 'admin.php?page=rcp-groups&rcpga-view=edit' ) ) ); ?>" title="<?php esc_attr_e( 'Edit Group', 'rcp-group-accounts' ); ?>"><?php echo esc_html( $group_name ); ?></a> |
			<a href="<?php echo esc_url( add_query_arg( 'rcpga-group', absint( $group_id ), admin_url( 'admin.php?page=rcp-groups&rcpga-view=view-members' ) ) ); ?>"><?php _e( 'View Members', 'rcp-group-accounts' ); ?></a>
		</td>
	</tr>
	<?php

}

add_action( 'rcp_edit_member_after', 'rcpga_edit_member' );