<?php
global $rcp_options;

$group_id = absint( $_GET['rcpga-group'] );
?>

<div class="wrap">

	<h2><?php _e( 'New Group Member', 'rcp-group-accounts' ); ?></h2>

	<form method="post">

		<table class="form-table">

			<?php do_action( 'rcpga_add_member_before' ); ?>

			<tr class="form-field">

				<th scope="row" valign="top">
					<label for="rcpga-add-member-is-new"><?php _e( 'Is this a new member?', 'rcp-group-accounts' ) ?></label>
				</th>

				<td>
					<input id="rcpga-add-member-is-new" type="checkbox" name="rcpga-add-member-is-new">
					<p class="description"><?php _e( 'Check if this is a new member', 'rcp-group-accounts' ) ?></p>
				</td>

			</tr>

			<tr class="form-row form-required">

				<th scope="row">
					<label for="rcpga-user-email"><?php _e( 'User Email', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
					<input type="text" name="rcpga-user-email" id="rcpga-user-email" class="rcp-user-search" autocomplete="off" />
					<p class="description"><?php _e( 'Enter the email address of a user account to add to the group.', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<tr class="form-row" style="display: none">

				<th scope="row">
					<label for="rcpga-user-login"><?php _e( 'Username', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
					<input type="text" name="rcpga-user-login" id="rcpga-user-login" class="rcpga-new-member-field" autocomplete="off" />
					<p class="description"><?php _e( 'Enter the username for the new account. If left blank, the email address will be used.', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<tr class="form-row user-pass1-wrap" style="display: none">

				<th scope="row">
					<label for="pass1"><?php _e( 'Password', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
					<button type="button" class="button wp-generate-pw hide-if-no-js"><?php _e( 'Show password', 'rcp-group-accounts' ); ?></button>
					<div class="wp-pwd hide-if-js">
						<?php $initial_password = wp_generate_password( 24 ); ?>
						<span class="password-input-wrapper">
							<input type="password" name="rcpga-user-password" id="pass1" class="regular-text rcpga-new-member-field" autocomplete="off" data-reveal="1" data-pw="<?php echo esc_attr( $initial_password ); ?>" aria-describedby="pass-strength-result" />
						</span>
						<button type="button" class="button wp-hide-pw hide-if-no-js" data-toggle="0" aria-label="<?php esc_attr_e( 'Hide password', 'rcp-group-accounts' ); ?>">
							<span class="dashicons dashicons-hidden"></span>
							<span class="text"><?php _e( 'Hide', 'rcp-group-accounts' ); ?></span>
						</button>
						<button type="button" class="button wp-cancel-pw hide-if-no-js" data-toggle="0" aria-label="<?php esc_attr_e( 'Cancel password change', 'rcp-group-accounts' ); ?>">
							<span class="text"><?php _e( 'Cancel', 'rcp-group-accounts' ); ?></span>
						</button>
						<div style="display:none" id="pass-strength-result" aria-live="polite"></div>
					</div>
					<p class="description"><?php _e( 'Enter the password for the new account.', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<tr class="pw-weak">
				<th><?php _e( 'Confirm Password', 'rcp-group-accounts' ); ?></th>
				<td>
					<label>
						<input type="checkbox" name="pw_weak" class="pw-checkbox" />
						<?php _e( 'Confirm use of weak password', 'rcp-group-accounts' ); ?>
					</label>
				</td>
			</tr>

			<tr class="form-row" style="display: none">

				<th scope="row">
					<label for="rcpga-first-name"><?php _e( 'User First Name', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
				<input type="text" name="rcpga-first-name" id="rcpga-first-name" class="rcpga-new-member-field" autocomplete="off" />
					<p class="description"><?php _e( 'Enter the first name of the user to add to the group.', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<tr class="form-row" style="display: none">

				<th scope="row">
					<label for="rcpga-last-name"><?php _e( 'User Last Name', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
				<input type="text" name="rcpga-last-name" id="rcpga-last-name" class="rcpga-new-member-field" autocomplete="off" />
					<p class="description"><?php _e( 'Enter the last name of the user to add to the group.', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<?php do_action( 'rcpga_add_member_after' ); ?>

			<tr>

				<?php if( isset( $rcp_options['group_invite_email'] ) && empty( $rcp_options['disable_group_invite_email'] ) ) : ?>
					<th class="row">
						<label for="rcpga-group-member-disable-invite"><label for="rcpga-group-member-disable-invite"><?php _e( 'Disable Invite', 'rcp-group-accounts' ); ?></label></label>
					</th>
					<td>
						<input type="checkbox" name="rcpga-disable-invite-email" id="rcpga-group-member-disable-invite" />
						<?php _e( 'Disable the group invite email and automatically add this user to the group.', 'rcp-group-accounts' ); ?>
						<?php if ( empty( $rcp_options['disable_new_user_notices'] ) ) : ?>
							<?php _e( '(If a new user is created, then the new user notification will be sent out.)', 'rcp-group-accounts' ); ?>
						<?php endif; ?>
					</td>
				<?php endif; ?>

			</tr>



		</table>

		<input type="hidden" name="rcpga-group" id="rcpga-group" value="<?php echo absint( $group_id ); ?>" />
		<input type="hidden" name="rcpga-action" value="add-member" />
		<input type="hidden" name="rcpga-view" value="view-members&amp;rcpga-group=<?php echo absint( $_GET['rcpga-group'] ); ?>" />

		<?php submit_button( __( 'Add Member', 'rcp-group-accounts' ) ); ?>

	</form>

</div>
