<?php
$group_id = absint( $_GET['rcpga-group'] );
$group    = rcpga_group_accounts()->groups->get( $group_id );
$owner    = get_userdata( $group->owner_id );
?>
<div class="wrap">

	<h2><?php _e( 'Edit Group', 'rcp-group-accounts' ); ?></h2>

	<form method="post">

		<table class="form-table">

			<?php do_action( 'rcpga_edit_group_form_fields_before', $group ); ?>

			<tr class="form-row form-required">

				<th scope="row">
					<label for="rcpga-group-name"><?php _e( 'Name', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
					<input type="text" name="rcpga-group-name" id="rcpga-group-name" class="regular-text" autocomplete="off" value="<?php echo esc_attr( stripslashes( $group->name ) ); ?>"/>
					<p class="description"><?php _e( 'The name of this group', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<tr class="form-row form-required">

				<th scope="row">
					<label for="rcpga-group-description"><?php _e( 'Description', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
					<?php wp_editor( wp_kses_post( wptexturize( $group->description )  ), 'rcpga-group-description', array( 'textarea_name' => 'rcpga-group-description', 'media_buttons' => false,  'editor_height' => 180 ) ); ?>
					<p class="description"><?php _e( 'The description of this group', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<tr class="form-row form-required">

				<th scope="row">
					<label for="rcpga-owner-user-name"><?php _e( 'Group Owner', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
					<input name="rcpga-owner-user-name" type="text" disabled="disabled" class="rcp-user-search" autocomplete="off" value="<?php echo esc_attr( $owner->user_login ); ?>" />
					<p class="description"><?php _e( 'Group owners cannot be changed', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<tr class="form-row form-required">

				<th scope="row">
					<label for="rcpga-group-seats"><?php _e( 'Seats', 'rcp-group-accounts' ); ?></label>
				</th>

				<td>
					<input type="number" min="1" step="1" name="rcpga-group-seats" id="rcpga-group-seats" class="regular-text" autocomplete="off" value="<?php echo absint( $group->seats ); ?>" />
					<p class="description"><?php _e( 'The number of seats for this group', 'rcp-group-accounts' ); ?></p>
				</td>

			</tr>

			<?php do_action( 'rcpga_edit_group_form_fields_after', $group ); ?>

		</table>

		<input type="hidden" name="rcpga-group" id="rcpga-group" value="<?php echo esc_attr( $group->group_id ); ?>" />
		<input type="hidden" name="rcpga-action" value="edit-group" />

		<?php submit_button( __( 'Update Group', 'rcp-group-accounts' ) ); ?>

	</form>

</div>
